Debian Bug report logs - #681183
hurd: collision with console-driver-xkb

version graph

Package: hurd; Maintainer for hurd is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for hurd is src:hurd.

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Wed, 11 Jul 2012 07:21:02 UTC

Severity: serious

Found in version hurd/20120710-1

Fixed in version hurd/20120710-2

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#681183; Package hurd. (Wed, 11 Jul 2012 07:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Wed, 11 Jul 2012 07:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: hurd: collision with console-driver-xkb
Date: Wed, 11 Jul 2012 17:16:57 +1000
Package: hurd
Version: 20120710-1
Severity: serious
Architecture: hurd-i386

Upgrade of 'hurd' package terminated with following error:

####

Preparing to replace hurd 20120605-2 (using .../hurd_20120710-1_hurd-i386.deb) 
...
Unpacking replacement hurd ...
dpkg: error processing /var/cache/apt/archives/hurd_20120710-1_hurd-i386.deb 
(--unpack):
 trying to overwrite '/usr/share/X11/xkb/keymap/hurd', which is also in 
package console-driver-xkb 0.008-7

####

Regards,
Dmitry.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#681183; Package hurd. (Wed, 11 Jul 2012 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Wed, 11 Jul 2012 16:33:04 GMT) Full text and rfc822 format available.

Message #10 received at 681183@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 681183@bugs.debian.org
Subject: Re: Bug#681183: hurd: collision with console-driver-xkb
Date: Wed, 11 Jul 2012 18:28:11 +0200
tags 681183 + pending
thanks

Dmitry Smirnov, le Wed 11 Jul 2012 17:16:57 +1000, a écrit :
> Upgrade of 'hurd' package terminated with following error:
> 
> ####
> 
> Preparing to replace hurd 20120605-2 (using .../hurd_20120710-1_hurd-i386.deb) 
> ...
> Unpacking replacement hurd ...
> dpkg: error processing /var/cache/apt/archives/hurd_20120710-1_hurd-i386.deb 
> (--unpack):
>  trying to overwrite '/usr/share/X11/xkb/keymap/hurd', which is also in 
> package console-driver-xkb 0.008-7

Ah, you still have that package installed.  This was never an official
package, so I didn't remember about it.  Just purge the package to get
around it.  I've added break/replace.

Samuel




Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:33:06 GMT) Full text and rfc822 format available.

Message sent on to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug#681183. (Wed, 11 Jul 2012 17:21:08 GMT) Full text and rfc822 format available.

Message #15 received at 681183-submitter@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 681183-submitter@bugs.debian.org
Subject: Bug#681183 marked as pending
Date: Wed, 11 Jul 2012 17:18:04 +0000
tag 681183 pending
thanks

Hello,

Bug #681183 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=pkg-hurd/hurd.git;a=commitdiff;h=22817db

---
commit 22817db6c18adba05e2a537fa7e9746120ce66b3
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Wed Jul 11 17:35:59 2012 +0000

    Close bug

diff --git a/debian/changelog b/debian/changelog
index 4cc4ee8..f8db71d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,7 @@
-hurd (20120710-2) UNRELEASED; urgency=low
+hurd (20120710-2) unstable; urgency=low
 
   * control: Make hurd-udeb depend on xkb-data-udeb. Make hurd
-    conflict/replace console-driver-xkb.
+    conflict/replace console-driver-xkb (Closes: Bug#681183).
   * rules: Add empty compose file for hurd-udeb.
   * hurd.install: Do not install empty compose file.
   * local/runsystem: Read keyboard layout from console-setup, restart the




Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Thu, 12 Jul 2012 01:21:13 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug acknowledged by developer. (Thu, 12 Jul 2012 01:21:13 GMT) Full text and rfc822 format available.

Message #20 received at 681183-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 681183-close@bugs.debian.org
Subject: Bug#681183: fixed in hurd 20120710-2
Date: Thu, 12 Jul 2012 01:17:12 +0000
Source: hurd
Source-Version: 20120710-2

We believe that the bug you reported is fixed in the latest version of
hurd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681183@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated hurd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 11 Jul 2012 12:32:57 +0000
Source: hurd
Binary: hurd hurd-dev hurd-dbg hurd-doc hurd-udeb
Architecture: source all hurd-i386
Version: 20120710-2
Distribution: unstable
Urgency: low
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 hurd       - GNU Hurd
 hurd-dbg   - GNU Hurd (debugging files)
 hurd-dev   - GNU Hurd (development files)
 hurd-doc   - GNU Hurd manual
 hurd-udeb  - GNU Hurd - udeb (udeb)
Closes: 681183
Changes: 
 hurd (20120710-2) unstable; urgency=low
 .
   * control: Make hurd-udeb depend on xkb-data-udeb. Make hurd
     conflict/replace console-driver-xkb (Closes: Bug#681183).
   * rules: Add empty compose file for hurd-udeb.
   * hurd.install: Do not install empty compose file.
   * local/runsystem: Read keyboard layout from console-setup, restart the
   console automatically.
Checksums-Sha1: 
 bd47d3a32d1de7baaf90a7a98a524e87c039d804 1782 hurd_20120710-2.dsc
 52f9256d397df197577695d4ff888c7153292195 119181 hurd_20120710-2.debian.tar.bz2
 0dbed9e85a77301834468b5643ec658fed00904c 200008 hurd-doc_20120710-2_all.deb
 3ef35c06865b92a5ab155270f6e5a21bee55bd67 3785038 hurd_20120710-2_hurd-i386.deb
 5ea7ccefde3c12a6944c7d2c3b4b5d39dff7d85a 4352716 hurd-dev_20120710-2_hurd-i386.deb
 e0fe62b4a018a791633f8dcb106c3ee9569c4a63 7970122 hurd-dbg_20120710-2_hurd-i386.deb
 245d6f3d9b327ffa475a618b2b062a3daaf4a820 1654476 hurd-udeb_20120710-2_hurd-i386.udeb
Checksums-Sha256: 
 fd485371066116c5a0bd15e020a39b875bf325367602fd8b3b5adffc5039fbf3 1782 hurd_20120710-2.dsc
 a6027f752ee72714bfed211bed4835db0763aec9a7b4d7cd1cec6750d4200453 119181 hurd_20120710-2.debian.tar.bz2
 d59eb7af7dee50552eb81109889337fdce7c6fc975da732f43ba788e5d19c706 200008 hurd-doc_20120710-2_all.deb
 97b21887d560f81ef12eff0378bc3eb5bd07141ac4f01f92530f0a1c769c478b 3785038 hurd_20120710-2_hurd-i386.deb
 1a33e2f442148bb32047c1f53826bcddb27e9bbb2c61c8d7176746e89a4a95be 4352716 hurd-dev_20120710-2_hurd-i386.deb
 6f8222a1f024be6a624b9a40314d025c91f13acc2f35f79b04df13e38bb802d2 7970122 hurd-dbg_20120710-2_hurd-i386.deb
 ce797f0363e0c4e7f5d3aed3666442ac24913857d9d1dff33b6140f50113e195 1654476 hurd-udeb_20120710-2_hurd-i386.udeb
Files: 
 532aec1866c19323702b2bd4c1308c94 1782 admin required hurd_20120710-2.dsc
 a5ca907e5da7606104a9c99268dac1fe 119181 admin required hurd_20120710-2.debian.tar.bz2
 b1f7ad348258f256ffb0e8573b2e72ce 200008 doc optional hurd-doc_20120710-2_all.deb
 4afcc952f10b75ba890b56b22c571a75 3785038 admin required hurd_20120710-2_hurd-i386.deb
 bbe62a28c443f626d469fe8b229c5d7b 4352716 libdevel standard hurd-dev_20120710-2_hurd-i386.deb
 5f6bc0847b162b836707f659214a87bd 7970122 debug extra hurd-dbg_20120710-2_hurd-i386.deb
 59516827b767ee77a101046b4bf34946 1654476 debian-installer optional hurd-udeb_20120710-2_hurd-i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iF4EAREKAAYFAk/+IdQACgkQUesQhRznqyjhugD9HWSsfxWISYA72G7hTh9T5/Qu
Us4Z4FMm4GFjgx8ckRABAIsLV47QSdGGcJcqp++4syzuS7vTMU3bkB8f5fS/utUs
=SZ96
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Aug 2012 07:28:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:12:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.